inform_startup <- function(msg, ...) {
  if (is.null(msg)) {
    return(invisible(NULL))
  }
  if (isTRUE(getOption("drwateR.quiet"))) {
    return(invisible(NULL))
  }
  rlang::inform(msg, ..., class = "packageStartupMessage")
}

#' List all packages in the drwateR
#'
#' @param include_self Include drwateR in the list?
#' @export
#' @examples
#' drwateR_packages()
drwateR_packages <- function(include_self = TRUE) {
  raw <- utils::packageDescription("drwateR")$Imports
  imports <- strsplit(raw, ",")[[1]]
  parsed <- gsub("^\\s+|\\s+$", "", imports)
  names <- vapply(strsplit(parsed, "\\s+"), "[[", 1,
    FUN.VALUE = character(1)
  )
  if (include_self) {
    names <- c(names, "drwateR")
  }
  names
}

invert <- function(x) {
  if (length(x) == 0) {
    return()
  }
  stacked <- utils::stack(x)
  tapply(as.character(stacked$ind), stacked$values, list)
}
