% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{dependency_drwateR}
\alias{dependency_drwateR}
\title{Find all dependency packages for a given package}
\usage{
dependency_drwateR(
  pkgpath,
  desc = read.dcf(file.path(pkgpath, "DESCRIPTION")),
  drwaterpkgs = DRWATERPKGS
)
}
\arguments{
\item{pkgpath}{Character; the local path to the package source code.}

\item{desc}{A data frame containing the content of the DESCRIPTION file.
If not provided, it will be read from the specified \code{pkgpath}.}

\item{drwaterpkgs}{Character vector; the list of drwateR packages.}
}
\value{
A data.frame containing the names of dependency packages,
whether they are installed, and their source.
}
\description{
This function identifies all dependency packages listed in the
DESCRIPTION file of a local R package source code. It categorizes
the dependencies based on their source: CRAN, drwateR, or GitHub.
}
