% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{drwater_repo}
\alias{drwater_repo}
\title{Add a Custom Repository to .Rprofile}
\usage{
drwater_repo(rprofilefn = RPROFILEFN, repocode = REPOCODE)
}
\arguments{
\item{rprofilefn}{A character string specifying the path to the \code{.Rprofile}
file. Defaults to \code{RPROFILEFN}.}

\item{repocode}{A character string containing the R code to set the
repository. Defaults to \code{REPOCODE}.}
}
\description{
This function appends a custom repository setting to the \code{.Rprofile} file if
it does not already exist. If the \code{.Rprofile} file does not exist, it creates
one and adds the repository setting.
}
\details{
The function checks if the \code{.Rprofile} file exists. If it does, it reads
the file and checks for the presence of existing repository settings. If
the repository settings are not found, it appends the new repository code.
If the \code{.Rprofile} file does not exist, it creates the file and writes the
repository settings to it.
}
\note{
The default values for \code{rprofilefn} and \code{repocode} should be specified
in your environment or script where this function is used.
}
\examples{
# Add the custom repository to .Rprofile
drwater_repo()
}
