% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{install_drwateR}
\alias{install_drwateR}
\title{Install Package From drwateR DRAN or Git Repository}
\usage{
install_drwateR(
  pkgname,
  dependency_reinstall = FALSE,
  from = "dran",
  drwaterpkgs = DRWATERPKGS,
  core = CORE,
  repos = DRANREPOURL,
  force = FALSE
)
}
\arguments{
\item{pkgname}{Character; Name of the package to install.}

\item{dependency_reinstall}{Logical; If TRUE, reinstall dependencies.}

\item{from}{Character; Source of the package, either "dran" or "git".}

\item{drwaterpkgs}{Character; A vector of package names belonging to
\code{drwateR}.}

\item{repos}{Character; URL of the DRAN repository.}

\item{force}{Logical; If TRUE, force the installation even if the
package is up-to-date.}

\item{pkgpath}{Character; Local path to the downloaded package (default:
path returned by \code{download_drwateR}).}
}
\value{
Logical; TRUE if the package was successfully installed,
FALSE otherwise.
}
\description{
Installs a package from the drwateR Git repository or the DRAN repository, including handling
dependencies.
}
\examples{
install_drwateR("rmdify")
}
