% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{install_drwateR_git}
\alias{install_drwateR_git}
\title{Install a Package from Git Repository}
\usage{
install_drwateR_git(
  pkgname,
  dependency_reinstall = FALSE,
  pkgpath = download_drwateR(pkgname),
  force = FALSE
)
}
\arguments{
\item{pkgname}{A character string specifying the name of the package to
be installed.}

\item{dependency_reinstall}{A logical value indicating whether to
reinstall dependencies
if they are already installed. Default is \code{FALSE}.}

\item{pkgpath}{A character string specifying the path to the package
tarball. If not provided,
it is determined by the \code{download_drwateR} function. Default is
\code{download_drwateR(pkgname)}.}

\item{force}{A logical value indicating whether to force the
installation even if the
local version matches the remote version. Default is \code{FALSE}.}
}
\value{
A logical value indicating whether the installation was
successful. Returns \code{TRUE}
if the package was installed successfully, otherwise \code{FALSE}.
The return value is invisible.
}
\description{
This function installs an R package from a specified Git repository.
It handles dependencies, checks for version updates, and performs the
installation.
}
